Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface AssignmentInstructionsType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface AssignmentInstructionsType

extends XmlObject

An XML assignmentInstructionsType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `AssignmentInstructionsType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`AssigneeListType` | `addNewAssigneeList()` Appends and returns a new empty "assigneeList" element
`AssigneeListType` | `getAssigneeList()` Gets the "assigneeList" element
`CandidateListHandlingType.Enum` | `getCandidateListHandling()` Gets the "candidateListHandling" element
`boolean` | `getLoadBalancingAvailabilityCheckEnabled()` Gets the "loadBalancingAvailabilityCheckEnabled" element
`boolean` | `isSetAssigneeList()` True if has "assigneeList" element
`boolean` | `isSetCandidateListHandling()` True if has "candidateListHandling" element
`boolean` | `isSetLoadBalancingAvailabilityCheckEnabled()` True if has "loadBalancingAvailabilityCheckEnabled" element
`void` | `setAssigneeList(AssigneeListType assigneeList)` Sets the "assigneeList" element
`void` | `setCandidateListHandling(CandidateListHandlingType.Enum candidateListHandling)` Sets the "candidateListHandling" element
`void` | `setLoadBalancingAvailabilityCheckEnabled(boolean loadBalancingAvailabilityCheckEnabled)` Sets the "loadBalancingAvailabilityCheckEnabled" element
`void` | `unsetAssigneeList()` Unsets the "assigneeList" element
`void` | `unsetCandidateListHandling()` Unsets the "candidateListHandling" element
`void` | `unsetLoadBalancingAvailabilityCheckEnabled()` Unsets the "loadBalancingAvailabilityCheckEnabled" element
`CandidateListHandlingType` | `xgetCandidateListHandling()` Gets (as xml) the "candidateListHandling" element
`XmlBoolean` | `xgetLoadBalancingAvailabilityCheckEnabled()` Gets (as xml) the "loadBalancingAvailabilityCheckEnabled" element
`void` | `xsetCandidateListHandling(CandidateListHandlingType candidateListHandling)` Sets (as xml) the "candidateListHandling" element
`void` | `xsetLoadBalancingAvailabilityCheckEnabled(XmlBoolean loadBalancingAvailabilityCheckEnabled)` Sets (as xml) the "loadBalancingAvailabilityCheckEnabled" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getAssigneeList

    AssigneeListType getAssigneeList()

  Gets the "assigneeList" element

### isSetAssigneeList

    boolean isSetAssigneeList()

  True if has "assigneeList" element

### setAssigneeList

    void setAssigneeList(AssigneeListType assigneeList)

  Sets the "assigneeList" element

### addNewAssigneeList

    AssigneeListType addNewAssigneeList()

  Appends and returns a new empty "assigneeList" element

### unsetAssigneeList

    void unsetAssigneeList()

  Unsets the "assigneeList" element

### getCandidateListHandling

    CandidateListHandlingType.Enum getCandidateListHandling()

  Gets the "candidateListHandling" element

### xgetCandidateListHandling

    CandidateListHandlingType xgetCandidateListHandling()

  Gets (as xml) the "candidateListHandling" element

### isSetCandidateListHandling

    boolean isSetCandidateListHandling()

  True if has "candidateListHandling" element

### setCandidateListHandling

    void setCandidateListHandling(CandidateListHandlingType.Enum candidateListHandling)

  Sets the "candidateListHandling" element

### xsetCandidateListHandling

    void xsetCandidateListHandling(CandidateListHandlingType candidateListHandling)

  Sets (as xml) the "candidateListHandling" element

### unsetCandidateListHandling

    void unsetCandidateListHandling()

  Unsets the "candidateListHandling" element

### getLoadBalancingAvailabilityCheckEnabled

    boolean getLoadBalancingAvailabilityCheckEnabled()

  Gets the "loadBalancingAvailabilityCheckEnabled" element

### xgetLoadBalancingAvailabilityCheckEnabled

    XmlBoolean xgetLoadBalancingAvailabilityCheckEnabled()

  Gets (as xml) the "loadBalancingAvailabilityCheckEnabled" element

### isSetLoadBalancingAvailabilityCheckEnabled

    boolean isSetLoadBalancingAvailabilityCheckEnabled()

  True if has "loadBalancingAvailabilityCheckEnabled" element

### setLoadBalancingAvailabilityCheckEnabled

    void setLoadBalancingAvailabilityCheckEnabled(boolean loadBalancingAvailabilityCheckEnabled)

  Sets the "loadBalancingAvailabilityCheckEnabled" element

### xsetLoadBalancingAvailabilityCheckEnabled

    void xsetLoadBalancingAvailabilityCheckEnabled(XmlBoolean loadBalancingAvailabilityCheckEnabled)

  Sets (as xml) the "loadBalancingAvailabilityCheckEnabled" element

### unsetLoadBalancingAvailabilityCheckEnabled

    void unsetLoadBalancingAvailabilityCheckEnabled()

  Unsets the "loadBalancingAvailabilityCheckEnabled" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD